#pragma semicolon 1

#include <sourcemod>
#include <sdktools>
#include <cstrike>

#define PLUGIN_VERSION "1.0"

public Plugin:myinfo =
{
    name = "AFK",
    author = "You Fake",
    description = "Say !afk to go spectator",
    version = PLUGIN_VERSION,
    url = "http://sourcemod.net"
}

public OnPluginStart()
{
    RegConsoleCmd( "say", AfkCommand );
	RegConsoleCmd( "say_team", AfkCommand );

    CreateConVar( "afk_version", PLUGIN_VERSION, "Afk", FCVAR_PLUGIN | FCVAR_SPONLY | FCVAR_REPLICATED | FCVAR_NOTIFY );
}

public Action:AfkCommand( client, args )
{
	decl String:Said[ 128 ];
	GetCmdArgString( Said, sizeof( Said ) - 1 );
	StripQuotes( Said );
	TrimString( Said );
	
	if( StrEqual( Said, "!afk" ) || StrEqual( Said, "!spect" ) )
	{
		ChangeClientTeam(client, 1);
		
		PrintToChat( client, "\x03[\x01Afk\x03]\x01 Bol si presunuty do spectu." );
	}
}